/*
 * BinaryOperation.java
 *
 * Created on 2. prosinec 2005, 18:41
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package cz.pcland.functions.nodes;



/**
 *
 * @author petr
 */
abstract public class BinaryOperation extends Node{
    protected Node left;
    protected Node right;
   
    /** Creates a new instance of BinaryOperation */
    public BinaryOperation(Node node1, Node node2) {
        this.left = node1;
        this.right = node2;
    }
    
    public Node getLeft() {
        return this.left;
    }
    
    
    public Node getRight() {
        return this.right;
    }
       
}
